MDEX_BASEDIR(3)

NAME
mdex_basedir - set base directory for multicast index

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/mdex.h>

void mdex_basedir(mdex_t *mdex, char *basedir);

Compile and link with -llibrecast.

DESCRIPTION
The mdex_basedir function sets the base directory for mdex to basedir. This will be stripped from the the beginning of all files added to the index with mdex_addfile(3).

RETURN VALUE
The mdex_basedir() function returns no value.

ERRORS
None.

SEE ALSO
mdex_init(3), mdex_free(3), mdex_get(3), mdex_put(3), mdex_del(3), lc_share(3)